Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Class LogManagementImpl

`java.lang.Object
oracle.ovs.api.LogManagementImpl`

All Implemented Interfaces:
  LogManagement

      public class LogManagementImpl

extends java.lang.Object
implements LogManagement

Log Management Implementation

Constructor Summary
`LogManagementImpl()`

Method Summary
`void` | `disableLogger()` disable the log output
`void` | `disableLogger(java.lang.Class clazz)`
`void` | `enableLogger()` enable the log output, and the level is Level.INFO
`void` | `enableLogger(java.lang.Class clazz)`
`java.util.logging.Logger` | `getLogger()` get the logger for the ovm api part
`void` | `loadConfig()`
`void` | `saveConfig()` commit changes
`void` | `setDefaultLoggerHandler()` reset the default log handler - java.util.ConsoleHandler
`void` | `setDefaultLogLevel()` reset the log level to the default value - Level.INFO
`void` | `setLoggerFile(java.lang.String filePattern)` set the log Handler with append mode on
`void` | `setLoggerFile(java.lang.String filePattern, boolean append)` set the log Handler with append switch
`void` | `setLoggerFile(java.lang.String filePattern, int limit, int count, boolean append)` set the log Handler with append swith, limit, and count
`void` | `setLogLevel(java.lang.Class clazz, java.util.logging.Level level)`
`void` | `setLogLevel(java.util.logging.Level level)` set the Log Level,

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogManagementImpl

    public LogManagementImpl()

Method Detail

### loadConfig

    public void loadConfig()

### saveConfig

    public void saveConfig()

  Description copied from interface: `LogManagement`
  commit changes
  Specified by:
    `saveConfig` in interface `LogManagement`

### disableLogger

    public void disableLogger()

  Description copied from interface: `LogManagement`
  disable the log output
  Specified by:
    `disableLogger` in interface `LogManagement`

### disableLogger

    public void disableLogger(java.lang.Class clazz)

### enableLogger

    public void enableLogger()

  Description copied from interface: `LogManagement`
  enable the log output, and the level is Level.INFO
  Specified by:
    `enableLogger` in interface `LogManagement`

### enableLogger

    public void enableLogger(java.lang.Class clazz)

### setDefaultLogLevel

    public void setDefaultLogLevel()

  Description copied from interface: `LogManagement`
  reset the log level to the default value - Level.INFO
  Specified by:
    `setDefaultLogLevel` in interface `LogManagement`

### setDefaultLoggerHandler

    public void setDefaultLoggerHandler()

  Description copied from interface: `LogManagement`
  reset the default log handler - java.util.ConsoleHandler
  Specified by:
    `setDefaultLoggerHandler` in interface `LogManagement`

### setLogLevel

    public void setLogLevel(java.util.logging.Level level)

  Description copied from interface: `LogManagement`
  set the Log Level,
  Specified by:
    `setLogLevel` in interface `LogManagement`

### setLogLevel

    public void setLogLevel(java.lang.Class clazz,
                            java.util.logging.Level level)

### setLoggerFile

    public void setLoggerFile(java.lang.String filePattern)

  Description copied from interface: `LogManagement`
  set the log Handler with append mode on
  Specified by:
    `setLoggerFile` in interface `LogManagement`

### setLoggerFile

    public void setLoggerFile(java.lang.String filePattern,
                              boolean append)

  Description copied from interface: `LogManagement`
  set the log Handler with append switch
  Specified by:
    `setLoggerFile` in interface `LogManagement`

### setLoggerFile

    public void setLoggerFile(java.lang.String filePattern,
                              int limit,
                              int count,
                              boolean append)

  Description copied from interface: `LogManagement`
  set the log Handler with append swith, limit, and count
  Specified by:
    `setLoggerFile` in interface `LogManagement`

### getLogger

    public java.util.logging.Logger getLogger()

  Description copied from interface: `LogManagement`
  get the logger for the ovm api part
  Specified by:
    `getLogger` in interface `LogManagement`
  Returns:

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.